### Class

# Ide TerminalLauncher

#### Description

    final class Ide.TerminalLauncher : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_terminal_launcher_new

Create a new `IdeTerminalLauncher` that will spawn a terminal on the host.

###### ide_terminal_launcher_new_for_config

Create a new `IdeTerminalLauncher` that will spawn a terminal in the runtime of the configuration with various build options applied.

###### ide_terminal_launcher_new_for_debug

Create a new `IdeTerminalLauncher` that will spawn a terminal on the host.

###### ide_terminal_launcher_new_for_launcher

Creates a new `IdeTerminalLauncher` that can be used to launch a process using the provided `IdeSubprocessLauncher`.

Available since: 3.34

###### ide_terminal_launcher_new_for_runner

Create a new `IdeTerminalLauncher` that will spawn a terminal in the runtime but with a “runner” context similar to how the application would execute.

###### ide_terminal_launcher_new_for_runtime

Create a new `IdeTerminalLauncher` that will spawn a terminal in the runtime.

#### Instance methods

###### ide_terminal_launcher_can_respawn

No description available.

###### ide_terminal_launcher_get_args

No description available.

###### ide_terminal_launcher_get_cwd

No description available.

###### ide_terminal_launcher_get_shell

No description available.

###### ide_terminal_launcher_get_title

No description available.

###### ide_terminal_launcher_set_args

No description available.

###### ide_terminal_launcher_set_cwd

No description available.

###### ide_terminal_launcher_set_shell

No description available.

###### ide_terminal_launcher_set_title

No description available.

###### ide_terminal_launcher_spawn_async

No description available.

###### ide_terminal_launcher_spawn_finish

Completes a request to `ide_terminal_launcher_spawn_async()`

Available since: 3.34

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.TerminalLauncher:args

No description available.

###### Ide.TerminalLauncher:cwd

No description available.

###### Ide.TerminalLauncher:shell

No description available.

###### Ide.TerminalLauncher:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeTerminalLauncherClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.